Subject: bug#3950: 23.0.91; hs-minor-mode should obey hs-search-mode for viper searches too

From: Guido Van Hoecke <[email-masked]>
Date: Tue, 28 Jul 2009 17:28:04 +0200

Stefan Monnier wrote:
>> Right now, I must open the fold ('hs-toggle-hiding') and search again
>> ('viper-search-next') if I want to position point at the searched
>> text. I feel that this should be automated as it is done for
>> 'isearch'.
>
> You might want to try reveal-mode as well (don't know if it works with
> Viper's search, but it might, and if not, it's also a bug).

I didn't know reveal-mode, shame on me!

Thanks Stefan, both for having written it and for pointing my nose in
the proper direction! It works with viper's search, so no bug there!

The cursor sits on the ... for about 2 seconds, and than the fold
opens. Is there some kind of (configurable) time-out before the fold
opens?

Guido

--
What does not destroy me, makes me stronger.
		-- Nietzsche

http://vanhoecke.org ... and go2 places!